import {
  Modal,
  ModalService,
} from '@zeedhi/common';

export class AddItemDetailModalController {
  private addItemDetail!: Modal;

  public async createProfileModal() {
    this.addItemDetail = await ModalService.createFromJson('modals/addItemDetailModal', true);
  }

  public async openItemModal() {
    if (this.addItemDetail) {
      await this.addItemDetail.show();
    } else {
      this.createProfileModal();
      await this.addItemDetail.show();
    }
  }

  public closeItemModal() {
    this.addItemDetail.hide();
  }
}
